	<?php

	session_start();

	require_once ("../../config/Cado.php");

	require_once ("../usuarioperfil/cUsuarioperfil.php");

	$oUsuarioperfil = new cUsuarioperfil();





	if($_POST['action']=="editar")

	{

		$dts=$oUsuarioperfil->mostrarUno($_POST['usuper_id']);

		$dt = mysqli_fetch_array($dts);	

		$nom        =$dt['tb_usuarioperfil_nom'];



		mysqli_free_result($dts);



	}



	?>



					<form role="form" id="for_usuper" method="POST"> 

						<input name="action_usuarioperfil" id="action_usuarioperfil" type="hidden" value="<?php echo $_POST['action']?>">

						<input name="hdd_usuper_id" id="hdd_usuper_id" type="hidden" value="<?php echo $_POST['usuper_id']?>">   



						<div class="box-header">

							<h3 class="box-title">Información de Perfil</h3>

						</div>

						<div class="box-body">



							<div class="form-group">							

								<div class="row">





									<div class="col-lg-7 col-xs-12">

										<label for="txt_usugru_nom">Nombre:</label>

										<input type="text" id="txt_usuper_nom" name="txt_usuper_nom" value="<?php echo $nom; ?>" class="form-control" > 

									</div> 

								</div>

							</div>

						</div>

					</form>

					<div class="box-footer pull-right ">

					<button type="button" data-dismiss="modal" class="btn btn-default cancel">Cancelar</button>

					<button class="btn btn-primary" id="save_form">Guardar</button>

					</div>

				





	<script type="text/javascript">







		$('#txt_usuper_nom').change(function(){

			$(this).val($(this).val().toUpperCase());

		});



		$("#save_form").click(function() {

			$("#for_usuper").submit();

		});



		$(document).ready(function() {

			$('#for_usuper').bootstrapValidator({

	      message: 'Valor no valido',

	      feedbackIcons: {

	      	valid: 'glyphicon glyphicon-ok',

	      	invalid: 'glyphicon glyphicon-remove',

	      	validating: 'glyphicon glyphicon-refresh'

	      },

	      fields: {	        	

	      	txt_usuper_nom: {

	      		group: '.col-lg-7',

	      		validators: {

	      			notEmpty: {

	      				message: 'Este campo es requerido'

	      			}

	      		}

	      	} 

	      }

	  }).on('success.form.bv', function(e) {



	  	$.ajax({

			type: "POST",

			url: "../usuarioperfil/usuarioperfil_reg.php",

			async:true,

			dataType: "json",

			data: $("#for_usuper").serialize(),

			beforeSend: function() { 					

				

			},

			success: function(data){



				$('.modal').modal('hide');

				$('.in').removeClass('modal-backdrop');			

				toastr["success"](data.usuper_msj);	



				<?php

				if($_POST['vista']=="cmb_usuper_id")

				{

					echo $_POST['vista'].'(data.usuper_id)';

				}

				?>

			},

			complete: function(){

				<?php

				if($_POST['vista']=="usuarioperfil_tabla")

				{

					echo $_POST['vista'].'()';

				}

				?>

			}

		});

	  });



	  <?php if($_POST['action']=="insertar"){?>

	  	$('#txt_usuper_nom').focus();

	  	<?php }?>







	  	$('#txt_usuper_nom').keydown(function(ev) {

	  		if(ev.keyCode==13){$('#save_form').focus(); return false;}

	  	}); 





	  });	

	</script>